## hpacucli-wrapper 0.4

=== Makefile ===

all:
	make -C src
	make -C man

install:
	make -C src install

test:
	make -C src test

clean:
	make -C src clean
	make -C man clean

.PHONY: test install clean all

=== man/Makefile ===
hpacucli_wrapper.1: %: %.txt
	txt2man -t hpacucli_wrapper -s 1 $< > $@

clean:
	$(RM) hpacucli_wrapper.1

all: hpacucli_wrapper.1

.PHONY: all clean

=== src/Makefile ===

PREFIX  = /usr/local
BINDIR  = $(PREFIX)/bin
#DEBUGFLAGS := -g -DDEBUG


hpacucli_wrapper: %: %.c %.h
	$(CC) $(CDEBUGFLAGS) $(CFLAGS) -static -o $@ $<

clean:
	$(RM) hpacucli_wrapper

install: hpacucli_wrapper
	install -D -m 4755 $< $(DESTDIR)$(BINDIR)/$<

test: hpacucli_wrapper
	./hpacucli_wrapper_test.rb

all: hpacucli_wrapper

.PHONY: all clean install check

=== debian/changelog ===
hpacucli-wrapper (0.4) stable; urgency=low

  * Now compiled natively for amd64 -- no need for 32-bit cross-compiles.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 26 May 2011 15:12:07 +0100

hpacucli-wrapper (0.3) stable; urgency=low

  * Fixed up C coding:
    - warning: array subscript is above array bounds
  * Added gcc-multilib for cross-compiling 32-bit on 64-bit environment.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 21 Jan 2011 10:13:25 +0000

hpacucli-wrapper (0.2) stable; urgency=low

  * Added dry-run mode.
  * Neatened up regular expression to accurately reflect the HP manual.
  * Added test and ruby dependency.
  * Added manpage and txt2man dependency.
  * Added hpacucli dependency.
  * Fixed up C coding, as per Steve's comments.
    - Checked malloc() return
    - Changed char numeric
  * Added libc6-dev-i386 for AMD64.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 11 Nov 2009 17:24:18 +0000

hpacucli-wrapper (0.1) stable; urgency=low

  * Initial release. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 10 Nov 2009 15:32:19 +0000

=== debian/control ===
Source: hpacucli-wrapper
Section: admin
Priority: optional
Maintainer: Patrick J Cherry <patrick@bytemark.co.uk>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), cdbs, ruby, txt2man

Package: hpacucli-wrapper
Architecture: any
Depends:  hpacucli, ${shlibs:Depends}, ${misc:Depends}
Description: Bytemark wrapper to hpacucli, allowing a limited number of commands to be performed

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_BUILD_OPTIONS := nocheck
DEB_MAKE_BUILD_TARGET := all
DEB_MAKE_CHECK_TARGET := test
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/hpacucli-wrapper PREFIX=/usr
